/*******************************************************************************
* main.cpp: main file                                                          *
* (c)1999 VideoLAN                                                             *
*------------------------------------------------------------------------------*
* This is just a kind of wrapper that will create an application object and    *
* launch the program                                                           *
*******************************************************************************/


//------------------------------------------------------------------------------
// Preamble
//------------------------------------------------------------------------------
#include <pthread.h>
#include <netinet/in.h>

#include "config.h"
#include "common.h"
#include "string.h"
#include "log.h"
#include "list.h"
#include "directory.h"
#include "ts.h"
#include "buffer.h"
#include "output.h"
#include "input.h"
#include "manager.h"
#include "admin.h"
#include "application.h"

#include "debug.h"



//------------------------------------------------------------------------------
// 
//------------------------------------------------------------------------------
int main(int iArgc, char* paArgv[])
{
  int iRc = NO_ERR;

  C_Application Application;

  // Init the application
  iRc = Application.Init(iArgc, paArgv);
  
  // Start the program unless something went wrong during the initialisation
  if (!iRc)
    iRc = Application.Run();

  // Free all ressources used by the program
  iRc |= Application.Exit();

  return iRc;
}
