/*******************************************************************************
* satellite.h: Satellite class definition                                      *
* (c)1999 VideoLAN                                                             *
*------------------------------------------------------------------------------*
*                                                                              *
*------------------------------------------------------------------------------*
* required headers:                                                            *
*  "common.h"                                                                  *
*  "string.h"                                                                  *
*  "directory.h"                                                               *
*  "ts.h"                                                                      *
*******************************************************************************/

#ifndef _SATELLITE_H_
#define _SATELLITE_H_


//------------------------------------------------------------------------------
// 
//------------------------------------------------------------------------------
class C_Satellite : public C_Input
{
 public:
  C_Satellite();
  ~C_Satellite();
  
  // Main loop
  virtual int Run();

  // Pgrm table management
  virtual int BuildPgrmTable();
  virtual int UpdatePgrmTable();
  
 protected:
  // 3 steps init methods
  virtual int PreInit();
  virtual int InitParam(const C_String& strName, const C_String& strVal);
  virtual int PostInit();

  // Termination method
  virtual int Clean();

  // Selection of the pgrm to broadcast
  virtual int StartReception(C_Output* pOutput, C_Program* pProgram);
  virtual int StopReception(C_Program* pProgram);

  // API callback function(s ?) and specific data
  static int StreamCallBack();

  // Hardware description
  unsigned int iBoardNumber;
};




#else
#error "Multiple inclusions of satellite.h"
#endif
